Show / Hide Table of Contents

# AsyncTriggerExitTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncTriggerExitTrigger : AsyncTriggerBase<Collider>, IUniTaskAsyncEnumerable<Collider>

##### Inheritance

System.Object → AsyncTriggerBase<Collider> → AsyncTriggerExitTrigger

##### Implements

IUniTaskAsyncEnumerable<Collider>

### Members

#### Methods

Name | Description
--- | ---
GetOnTriggerExitAsyncHandler() |
GetOnTriggerExitAsyncHandler(CancellationToken) |
OnTriggerExitAsync() |
OnTriggerExitAsync(CancellationToken) |

### Methods

#### GetOnTriggerExitAsyncHandler()

    public IAsyncOnTriggerExitHandler GetOnTriggerExitAsyncHandler()

##### Returns

IAsyncOnTriggerExitHandler

#### GetOnTriggerExitAsyncHandler(CancellationToken)

    public IAsyncOnTriggerExitHandler GetOnTriggerExitAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

IAsyncOnTriggerExitHandler

#### OnTriggerExitAsync()

    public UniTask<Collider> OnTriggerExitAsync()

##### Returns

UniTask<Collider>

#### OnTriggerExitAsync(CancellationToken)

    public UniTask<Collider> OnTriggerExitAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask<Collider>

### Implements

IUniTaskAsyncEnumerable<T>